Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-deep-equal
Version:        1.0.1
Release:        alt1_9
Summary:        Node's assert.deepEqual algorithm
License:        MIT
URL:            https://github.com/substack/node-deep-equal
Source0:        https://registry.npmjs.org/deep-equal/-/deep-equal-%{version}.tgz
BuildArch:      noarch

%if 0%{?fedora} >= 19 || 0%{?rhel} > 7
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tape)
Source44: import.info

%description
Node's `assert.deepEqual()` algorithm implemented as a standalone module.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/deep-equal
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/deep-equal
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.js


%files
%doc readme.markdown example/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/deep-equal


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_9
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.0-alt1_3
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.0-alt1_2
- initial import

